Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233004 - Review Request: xmlrpc3 - Java XML-RPC implementation
Summary: Review Request: xmlrpc3 - Java XML-RPC implementation
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Fitzsimmons
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On: 232719 232728
Blocks: 232725
TreeView+ depends on / blocked
 
Reported: 2007-03-19 20:35 UTC by Andrew Overholt
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-01 15:56:10 UTC
fitzsim: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Andrew Overholt 2007-03-19 20:35:58 UTC
Spec URL: http://www.overholt.ca/fedora/xmlrpc3.spec
SRPM URL: http://www.overholt.ca/fedora/xmlrpc3-3.0-1jpp.1.src.rpm
Description: 
Apache XML-RPC is a Java implementation of XML-RPC, a popular protocol
that uses XML over HTTP to implement remote procedure calls.
Apache XML-RPC was previously known as Helma XML-RPC. If you have code
using the Helma library, all you should have to do is change the import
statements in your code from helma.xmlrpc.* to org.apache.xmlrpc.*.

Note:  This package is parallel-installable with xmlrpc-2.x.  There are projects that explicitly depend upon xmlrpc-2.x so we are creating this secondary xmlrpc package that could become xmlrpc in the future.  The project has changed so drastically between 2.x and 3.0 that I felt this necessary.

Comment 1 Andrew Overholt 2007-03-20 13:59:44 UTC
There is now a maven2 bootstrap package built.  The main package is still
building ATM but I think we're good to go with dependencies now.

Comment 2 Thomas Fitzsimmons 2007-03-20 15:42:24 UTC
MUST:
? package is named appropriately

  - I guess the major version is included in the name because 3
    breaks compatibility with the version 2 series?

* it is legal for Fedora to distribute this
* license field matches the actual license.
* license is open source-compatible.
* specfile name matches %{name}
* source and patches verified
* summary and description okay
* correct buildroot
* %{?dist} used properly
* license text included in package and marked with %doc
* packages meets FHS (http://www.pathname.com/fhs/)
X rpmlint on <this package>.srpm gives no output

  - change the non-standard groups in the subpackages

* changelog fine
* Packager tag not used
* Vendor tag not used
* Distribution tag not used
* License and not Copyright used
* Summary tag does not end in a period
* if possible, replace PreReq with Requires(pre) and/or Requires(post)
X specfile is legible

  - remove the unneeded Epoch line

  - fix the Buildroot tag

? package successfully compiles and builds on at least x86

  - can't check without maven2, which hasn't hit Rawhide yet: I'll trust you to
    build this into plague, where it will be available

* BuildRequires are proper
* summary is a short and concise description of the package
* description expands upon summary

  - not in the case of subpackages which simply reference the summary, but for
    these specific subpackages I think it's fine

* make sure lines are <= 80 characters
* specfile written in American English
* -doc sub-package

  - javadoc subpackage OK

* no static libs
* no rpath
* config files should marked with %config(noreplace)
* not a GUI app
* sub-packages fine
* macros used appropriately and consistently
 - ie. %{buildroot} and %{optflags} vs. $RPM_BUILD_ROOT and $RPM_OPT_FLAGS
* %makeinstall not used
* no locale data
* Requires(pre,post) fine
* package not relocatable
* package contains code
* package owns all directories and files
X no %files duplicates

  - LICENSE.txt duplicates across subpackages

X file permissions okay; %defattrs present

  - '-', not explicit permissions

* %clean present
* %doc files do not affect runtime
* not a webapp
* verify the final provides and requires of the binary RPMs

SHOULD:
* package should include license text in the package and mark it with %doc
? package should build on i386
? package should build in mock

  - will leave these last two up to you, since maven2 is available in plague


Comment 3 Andrew Overholt 2007-03-20 15:56:24 UTC
Updated SRPM and spec:

http://www.overholt.ca/fedora/xmlrpc3.spec
http://www.overholt.ca/fedora/xmlrpc3-3.0-1jpp.1.src.rpm

(In reply to comment #2)
> ? package is named appropriately
> 
>   - I guess the major version is included in the name because 3
>     breaks compatibility with the version 2 series?

Yes.

> X rpmlint on <this package>.srpm gives no output
> 
>   - change the non-standard groups in the subpackages

Groups aren't a blocker, but I've fixed them anyway.
 
> X specfile is legible
> 
>   - remove the unneeded Epoch line
> 
>   - fix the Buildroot tag

Done and done.
 
> X no %files duplicates
> 
>   - LICENSE.txt duplicates across subpackages

I thought sub-packages should all contain it, but I've removed it from all but
-common.
 
> X file permissions okay; %defattrs present
> 
>   - '-', not explicit permissions

Okay.

Comment 4 Thomas Fitzsimmons 2007-03-20 16:03:45 UTC
APPROVED


Comment 5 Andrew Overholt 2007-03-20 16:06:14 UTC
New Package CVS Request
=======================
Package Name: xmlrpc3
Short Description: Apache XML-RPC is a Java implementation of XML-RPC.
Owners: overholt@redhat.com
Branches: devel
InitialCC: 

Comment 6 Andrew Overholt 2007-04-01 15:56:10 UTC
This is available in rawhide.


Note You need to log in before you can comment on or make changes to this bug.